package com.hssx.pcbms;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.hssx.pcbms.entity.GoodsNo;
import com.hssx.pcbms.mapper.GoodsNoMapper;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest
class PcbmsApplicationTests {
@Resource
private GoodsNoMapper goodsNoMapper;
    @Test
    void contextLoads() {
        List<Integer> idList = Arrays.asList(31,32,33);
        goodsNoMapper.update(null,new QueryWrapper<GoodsNo>().in("id",idList));
        System.out.println("111");
    }

}
